%define api 5
%define oname qt5

%define module qtimageformats

%define qtimageformats %mklibname qt%{api}imageformats-plugins
%define qtimageformatsd %mklibname qt%{api}imageformats -d

# Requires qdoc5 and qt5-tools to build
%bcond_with docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.3
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qtimageformats}
Summary:	Qt Image Formats plugins
Group:		System/Libraries
Conflicts:	%{_lib}qt5gui5 < 5.6.0
Provides:	qt5-imageformats-plugins = %{EVRD}

%description -n %{qtimageformats}
Qt Image Formats plugins.

%files -n %{qtimageformats}
%{_qt5_plugindir}/imageformats/libqicns.so
%{_qt5_plugindir}/imageformats/libqjp2.so
%{_qt5_plugindir}/imageformats/libqmng.so
%{_qt5_plugindir}/imageformats/libqtga.so
%{_qt5_plugindir}/imageformats/libqtiff.so
%{_qt5_plugindir}/imageformats/libqwbmp.so
%{_qt5_plugindir}/imageformats/libqwebp.so

#----------------------------------------------------------------------------

%package -n %{qtimageformatsd}
Summary:	Development files for the Qt Image Formats plugins
Group:		Development/KDE and Qt
Requires:	qmake%{api}
Conflicts:	%{_lib}qt5gui-devel < 5.6.0

%description -n %{qtimageformatsd}
Development files for the Qt Image Formats plugins.

%files -n %{qtimageformatsd}
%{_qt5_libdir}/cmake/Qt%{api}Gui/Qt5Gui_QICNSPlugin.cmake
%{_qt5_libdir}/cmake/Qt%{api}Gui/Qt5Gui_QJp2Plugin.cmake
%{_qt5_libdir}/cmake/Qt%{api}Gui/Qt5Gui_QMngPlugin.cmake
%{_qt5_libdir}/cmake/Qt%{api}Gui/Qt5Gui_QTgaPlugin.cmake
%{_qt5_libdir}/cmake/Qt%{api}Gui/Qt5Gui_QTiffPlugin.cmake
%{_qt5_libdir}/cmake/Qt%{api}Gui/Qt5Gui_QWbmpPlugin.cmake
%{_qt5_libdir}/cmake/Qt%{api}Gui/Qt5Gui_QWebpPlugin.cmake

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtimageformats.qch
%endif

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif


%changelog

* Thu Nov 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (d11972f) New version 5.9.3


